$(document).ready(function(){
	/*微信弹出*/
	$(".ws").hover(function(){$(".code").show();},function(){$(".code").hide();})
	
	$(".imgLiblist a").hover(function(){$(this).find("p").slideDown("fast");},function(){$(this).find("p").slideUp("fast");})
	$(".imgLiblist").find("li:eq(3),li:eq(7)").addClass("nomar");
	
	/*焦点图*/
	var sw = 0;
	$(".focus .pagination a").mouseover(function(){sw = $(".pagination a").index(this);
	    myShow(sw);});
		
	function myShow(i){
		$(".focus .pagination li").eq(i).addClass("current").siblings("li").removeClass("current");
		$(".focus .slides_container li").eq(i).stop(true,true).fadeIn(600).siblings("li").fadeOut(600);
	}
	//滑入停止动画，滑出开始动画
	$(".focus").hover(function(){
		if(myTime){clearInterval(myTime);}
	},function(){
		myTime = setInterval(function(){
		   myShow(sw)
		   sw++;
		   if(sw==5){sw=0;}
		} ,4000);
	});
	//自动开始
	var myTime = setInterval(function(){
	   myShow(sw)
	   sw++;
	   if(sw==5){sw=0;}
	} ,4000);
	
	/*微博滚动*/
	$('#carousel').jcarousel({
    	vertical: true,
		auto:5,
		wrap: 'last',
        scroll: 1,
		initCallback: mycarousel_initCallback
    });
	
	/*排行榜*/
    /*排行榜加样式*/
	$("#topNe li:lt(3)").addClass("color01");
	$.extend({
		  topten:function (className) {
			  var i=0;
			  var name=className;
			  $('.'+ name + '> li').find("span").each(function(i) {
				 $(this).html(i+1);
			  }); 
		  }
    });
	$.topten("topNeight");
	
});

function mycarousel_initCallback(carousel)
{
    carousel.clip.hover(function() {
        carousel.stopAuto();
    }, function() {
        carousel.startAuto();
    });
};